karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Created] (KARAF-3419) pax-cdi doesn't install without the pax-http feature
Date Thu, 18 Dec 2014 14:23:13 GMT
Jean-Baptiste Onofré created KARAF-3419:
-------------------------------------------

             Summary: pax-cdi doesn't install without the pax-http feature
                 Key: KARAF-3419
                 URL: https://issues.apache.org/jira/browse/KARAF-3419
             Project: Karaf
          Issue Type: Bug
          Components: karaf-core
    Affects Versions: 3.0.3
            Reporter: Jean-Baptiste Onofré
            Assignee: Jean-Baptiste Onofré
             Fix For: 3.0.3


On a fresh 3.0.3-SNAPSHOT, it's not possible to install pax-cdi feature out of the box:

{code}
Error executing command: Could not start bundle mvn:org.ops4j.pax.cdi/pax-cdi-extension/0.8.0
in feature(s) pax-cdi-1.1-0.8.0, pax-cdi-0.8.0, pax-cdi-1.2-0.8.0: Unresolved constraint in
bundle org.ops4j.pax.cdi.extension [80]: Unable to resolve 80.0: missing requirement [80.0]
osgi.wiring.package; (&(osgi.wiring.package=javax.annotation)(version>=1.1.0)(!(version>=2.0.0)))
{code}

A workaround is to install the pax-http feature which brings javax.annotation.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message